# [Reference Guides](https://jhudatascience.org/ITCR_Documentation_and_Usability/creating-a-handy-reference-guide.html)

_This section's checklist:_  

- Is easy to find: clearly visible on the main page.  
- Is searchable or at least visually easily able to be scanned.  
- All items are described in clear language.

## Command line tool checklist
  - All functions are described.  
  - All arguments of those functions are described.  
  - All parameters are described and defaults explained.  
  - Any additional datasets or items included in the package are documented.  
  - Any input file formats are described (example file format included is ideal).  
  - Any output file formats are described.  

## GUI tool checklist
  - All buttons are described.  
  - All parameters are described and defaults explained.  
  - Any input file formats are described (example file format included is ideal).  
  - Any output file formats are described.  

## Cheatsheet ideas:

For inspiration and examples of nice cheatsheets, take a look through [RStudio's cheatsheets](https://www.rstudio.com/resources/cheatsheets/)

If you use Overleaf, there are [template cheatsheets you can use here](https://www.overleaf.com/gallery/tagged/cheat-sheet).
